diff --git a/src/bin/pgbench/t/001_pgbench_with_server.pl b/src/bin/pgbench/t/001_pgbench_with_server.pl
index c87748086a..eb126d2525 100644
--- a/src/bin/pgbench/t/001_pgbench_with_server.pl
+++ b/src/bin/pgbench/t/001_pgbench_with_server.pl
@@ -879,9 +879,10 @@ sub check_pgbench_logs

 	my ($prefix, $nb, $min, $max, $re) = @_;

-	my @logs = glob "$prefix.*";
+    my @quoted_prefix = quotemeta($prefix);
+	my @logs = glob "@quoted_prefix.*";
 	ok(@logs == $nb, "number of log files");
-	ok(grep(/^$prefix\.\d+(\.\d+)?$/, @logs) == $nb, "file name format");
+	ok(grep(/^@quoted_prefix\.\d+(\.\d+)?$/, @logs) == $nb, "Failed to match file format. Looked for (@quoted_prefix) in (@logs)");

 	my $log_number = 0;
 	for my $log (sort @logs)
